pcl::PPFSignature Struct Reference
Module common

A point structure for storing the Point Pair Feature (PPF) values. More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

| PPFSignature (float _alpha=0.f)
| PPFSignature (float _f1, float _f2, float _f3, float _f4, float _alpha=0.f)

## Public Attributes

float | f1 = 0.f
float | f2 = 0.f
float | f3 = 0.f
float | f4 = 0.f
float | alpha_m = 0.f

## Friends

std::ostream & | operator<< (std::ostream &os, const PPFSignature &p)

## Detailed Description

A point structure for storing the Point Pair Feature (PPF) values.

Definition at line 1380 of file point_types.hpp.

## Constructor & Destructor Documentation

## PPFSignature() [1/2]

pcl::PPFSignature::PPFSignature | ( | float | _alpha = `0.f` | ) |

inline

Definition at line 1385 of file point_types.hpp.

## PPFSignature() [2/2]

pcl::PPFSignature::PPFSignature | ( | float | _f1,
|  | float | _f2,
|  | float | _f3,
|  | float | _f4,
|  | float | _alpha = `0.f`
| ) |  |

inline

Definition at line 1387 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PPFSignature & | p
| ) |  |

friend

## Member Data Documentation

## alpha_m

float pcl::PPFSignature::alpha_m = 0.f

Definition at line 1383 of file point_types.hpp.

Referenced by pcl::isFinite< pcl::PPFSignature >().

## f1

float pcl::PPFSignature::f1 = 0.f

Definition at line 1382 of file point_types.hpp.

Referenced by pcl::DefaultPointRepresentation< PPFSignature >::copyToFloatArray(), and pcl::isFinite< pcl::PPFSignature >().

## f2

float pcl::PPFSignature::f2 = 0.f

Definition at line 1382 of file point_types.hpp.

Referenced by pcl::DefaultPointRepresentation< PPFSignature >::copyToFloatArray(), and pcl::isFinite< pcl::PPFSignature >().

## f3

float pcl::PPFSignature::f3 = 0.f

Definition at line 1382 of file point_types.hpp.

Referenced by pcl::DefaultPointRepresentation< PPFSignature >::copyToFloatArray(), and pcl::isFinite< pcl::PPFSignature >().

## f4

float pcl::PPFSignature::f4 = 0.f

Definition at line 1382 of file point_types.hpp.

Referenced by pcl::DefaultPointRepresentation< PPFSignature >::copyToFloatArray(), and pcl::isFinite< pcl::PPFSignature >().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp